/*
 * This file is part of PSY PONG 3D.
 *
 * Copyright (C) 2008-2009 Quetzy Garcia, <quetzyg@users.sourceforge.net>
 * For news and updates, see <http://psypong3d.sourceforge.net/>
 *
 * PSY PONG 3D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PSY PONG 3D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PSY PONG 3D.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "common.h"

int main(int argc, char **argv)
{
  GAME *game = NULL;

  fprintf(stderr, "\n%s v%s (C) %s %s\n\n", GAME_TITLE, GAME_VERSION, GAME_YEAR, GAME_AUTHOR);

  if ((game = game_new(argc, argv)) == NULL)
  {
    fprintf(stderr, "Error: Game textures missing, or you just ran out of memory...\n");
    return EXIT_FAILURE;
  }

  if (argc < 2)
    fprintf(stderr, "Use '%s --help' for more information.\n", argv[0]);

  on_exit((void *) game_free, game);

  game_start(game);

  return EXIT_SUCCESS;
}
